Full service web hosting, great prices and support. Starts at $1.99/month!
Results 1 to 7 of 7

Thread: Is a php 5.4.19 compatible version going to be released soon?

  1. #1
    FredStevens
    Guest


    Default Is a php 5.4.19 compatible version going to be released soon?

    Is a php 5.4.19 compatible version going to be released soon?

    My host runs php 5.4.x with suphp.

    Thanks in advance!

  2. #2
    osCMax Development Team

    Is a php 5.4.19 compatible version going to be released soon?

    ridexbuilder's Avatar
    Join Date
    Jul 2008
    Location
    Haggisland
    Posts
    4,164
    Contribute If you enjoy reading the
    content here, click the below
    image to support our site.
    Click Here To Contribute To Our Site

    Total Contributions For

    ridexbuilder     $ 15.00
    Rep Power
    99


    Thumbs up Re: Is a php 5.4.19 compatible version going to be released soon?

    Quote Originally Posted by FredStevens View Post
    Is a php 5.4.19 compatible version going to be released soon?

    My host runs php 5.4.x with suphp.

    Thanks in advance!
    Until cPanel 'moves' 5.4.xx out of 'experimental', I intend to stick with 5.3.xx for as long as possible with my main production servers. My curiosity, however, got the better of me..

    Server Date: 09/05/2013 00:04:25 Datebase Date: 09/05/2013 00:04:25
    Server Up Time: 00:04:25 up 1:41, 1 user, load average: 0.06, 0.06, 0.01
    HTTP Server: Apache/2.2.15
    PHP Version: 5.4.16 (Zend: 2.4.0)
    osCmax v2.5.3
    Notes: I used 'Max 2.5.4 SVN and FCGI mode, rather than mod_php, due to being able to switch between PHP versions. Running with suphp only requires correct permissions to be setup and will not affect the underlying PHP commands. I used a small test VPS running Centos 6 with Virtualmin/Webmin - which is a pain to use, compared to cPanel. Notice it took me 100mins. to get to the 'Max admin prompt, from having no webserver setup in Virtualmin! In cPanel, I'd have got to this stage in less than 10 minutes.
    Last edited by ridexbuilder; 09-04-2013 at 04:25 PM.

    Developers resource at bitbucket
    *** *** ***
    oscmax.co.uk / ejsolutions.co.uk
    Hosting plans with installation, configuration, contributions, support and maintenance.
    *** FREE osCmax hosting available ***
    oscmaxtemplates.com

  3. #3
    osCMax Development Team

    Is a php 5.4.19 compatible version going to be released soon?

    pgmarshall's Avatar
    Join Date
    Feb 2009
    Location
    London
    Posts
    3,517
    Contribute If you enjoy reading the
    content here, click the below
    image to support our site.
    Click Here To Contribute To Our Site

    Total Contributions For

    pgmarshall     $ 35.00
    Rep Power
    80


    Default Re: Is a php 5.4.19 compatible version going to be released soon?

    I do not have access to 5.4.19 but my local SVN MAMP version runs fine on 5.4.10 - is there really a vast difference between .10 and .19?

    Screen shot 2013-09-05 at 07.31.39.png

    Furthermore, can people who are experiencing any problems with a newer version of php please post a bugtracker report detailing what error messages they are seeing (see wiki for instructions on how do display these).

    Regards.
    pgmarshall
    _______________________________

  4. #4
    FredStevens
    Guest


    1 out of 1 members found this post helpful.

    Default Re: Is a php 5.4.19 compatible version going to be released soon?

    Quote Originally Posted by ridexbuilder View Post
    Until cPanel 'moves' 5.4.xx out of 'experimental', I intend to stick with 5.3.xx for as long as possible with my main production servers. My curiosity, however, got the better of me.
    5.4 has been out of experimental for a long time now, 5.3 is labeled as deprecated, and 5.5 is experimental.

  5. #5
    osCMax Development Team

    Is a php 5.4.19 compatible version going to be released soon?

    ridexbuilder's Avatar
    Join Date
    Jul 2008
    Location
    Haggisland
    Posts
    4,164
    Contribute If you enjoy reading the
    content here, click the below
    image to support our site.
    Click Here To Contribute To Our Site

    Total Contributions For

    ridexbuilder     $ 15.00
    Rep Power
    99


    Default Re: Is a php 5.4.19 compatible version going to be released soon?

    I stand corrected. Wasn't like this when I rebuilt Apache only a month or so ago:
    5.3.27 DEPRECATED
    5.4.19
    5.5.3 EXPERIMENTAL
    I also noticed Apache 2.4 is mainstream.
    Time to chase up some of my clients, to upgrade old software (not 'Max.)

    Developers resource at bitbucket
    *** *** ***
    oscmax.co.uk / ejsolutions.co.uk
    Hosting plans with installation, configuration, contributions, support and maintenance.
    *** FREE osCmax hosting available ***
    oscmaxtemplates.com

  6. #6
    osCMax Development Team

    Is a php 5.4.19 compatible version going to be released soon?

    ridexbuilder's Avatar
    Join Date
    Jul 2008
    Location
    Haggisland
    Posts
    4,164
    Contribute If you enjoy reading the
    content here, click the below
    image to support our site.
    Click Here To Contribute To Our Site

    Total Contributions For

    ridexbuilder     $ 15.00
    Rep Power
    99


    Default Re: Is a php 5.4.19 compatible version going to be released soon?

    Just as a follow-on:
    I'll be sticking with PHP 5.3 for a bit longer, until other ancillary services are compatible, such as suhosin (debatable as to whether relevant now), nginx, etc.

    Developers resource at bitbucket
    *** *** ***
    oscmax.co.uk / ejsolutions.co.uk
    Hosting plans with installation, configuration, contributions, support and maintenance.
    *** FREE osCmax hosting available ***
    oscmaxtemplates.com

  7. #7
    CypehrOz
    Guest


    1 out of 1 members found this post helpful.

    Default Re: Is a php 5.4.19 compatible version going to be released soon?

    FYI we are running osCmax 2.5.3 on PHP 5.4.28 and MySQL 5.6.16 -- only had to fix the language issue.

Similar Threads

  1. OSC V2.2 RC2a PHP 5.3 Compatible Files
    By michael_s in forum New osCommerce Contributions
    Replies: 0
    Last Post: 07-04-2010, 09:56 AM
  2. OSC V2.2 RC2a PHP 5.3 Compatible Files
    By michael_s in forum New osCommerce Contributions
    Replies: 0
    Last Post: 05-08-2010, 07:00 PM
  3. Compatible with OS CRM apps?
    By chad_6 in forum osCmax v2 Customization/Mods
    Replies: 0
    Last Post: 01-29-2006, 10:19 AM
  4. Compatible with PHP 4.33 and mysql 3.23
    By the_error_king in forum osCmax v2 Installation issues
    Replies: 6
    Last Post: 06-15-2005, 07:19 PM
  5. [MS2-MAX UPDATE] Version 1.5 Released and Ready for Download
    By michael_s in forum osCmax v1.7 Discussion
    Replies: 14
    Last Post: 01-24-2004, 05:04 PM

Bookmarks

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •